SERIAL8250_REGISTER_(9)

NAME
serial8250_register_8250_port - register a serial port

SYNOPSIS

int serial8250_register_8250_port(struct uart_8250_port * up);

ARGUMENTS

up
    serial port template

DESCRIPTION

Configure the serial port specified by the request. If the port exists and is in use, it is hung up and unregistered first.

The port is then probed and if necessary the IRQ is autodetected If this fails an error is returned.

On success the port is ready to use and the line number is returned.

COPYRIGHT